Package Details: db4.5 4.5.20-2

Git Clone URL: https://aur.archlinux.org/db4.5.git (read-only)
Package Base: db4.5
Description: The Berkeley DB embedded database system 4.5
Upstream URL: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Licenses: custom:db4.5
Submitter: Allan
Maintainer: jorge_barroso
Last Packager: jorge_barroso
Votes: 127
Popularity: 0.000000
First Submitted: 2010-10-03 02:10
Last Updated: 2015-06-15 19:24

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

nixscripter commented on 2015-07-03 17:25

I get conflicts in the filesystem by installing the regular db package. I had to patch the PKGBUILD to fix them:

--- PKGBUILD 2015-07-03 12:24:43.723024682 -0500
+++ PKGBUILD 2015-07-03 12:17:52.198681988 -0500
@@ -25,6 +25,8 @@
package() {
cd "${srcdir}"/$_rname-${pkgver}/build_unix
make DESTDIR="${pkgdir}" install
+ cd "${pkgdir}/usr"
+ for d in *; do mkdir $d/${pkgname} && (mv $d/* $d/${pkgname}/ || true); done
}

# vim:set ts=2 sw=2 et:

It seems that if you do this, then Python 2.4 (which is what this is needed for) will still find it automatically.

asdil12 commented on 2013-08-05 15:19

the arch=any is invalid for this pkg, as it contains binaries - arch=any is only for scripts.
please use
arch=('i686' 'x86_64')

jorge_barroso commented on 2013-03-04 21:35

sorry I didn't realize about that little error U.U' correctly re-uploaded

revel commented on 2013-03-04 14:52

isn't there something wrong with this pkg?
db4.5 5.3.21
it's supposed to provide db-4.5 and yet it operates on db-5.3 sources

master commented on 2011-12-01 10:28

Fixed.

fackamato commented on 2011-11-30 16:21

It doesn't build, cannot download sources:

==> Retrieving Sources...
-> Downloading db-4.5.20.tar.gz...
--2011-11-30 16:18:22-- http://download-uk.oracle.com/berkeley-db/db-4.5.20.tar.gz
Resolving download-uk.oracle.com... 92.122.124.32, 92.122.124.26
Connecting to download-uk.oracle.com|92.122.124.32|:80... connected.
HTTP request sent, awaiting response... 400 Bad Request
2011-11-30 16:18:22 ERROR 400: Bad Request.


New URL: http://download.oracle.com/berkeley-db/db-4.5.20.tar.gz (remove -uk)
==> ERROR: Failure while downloading db-4.5.20.tar.gz
Aborting...
The build failed.
mburen@mburen:~/abs/python25$

master commented on 2011-04-18 09:14

Well, try again. I've embedded patches into the package.

Anonymous comment on 2011-04-18 07:14

I can't build it!


-> Found db-4.5.20.tar.gz
-> Downloading patch.4.5.20.1?rev=fe92790d74f3a3b7d082cb22b7187720...
--2011-04-18 14:13:31-- https://api.opensuse.org/public/source/openSUSE:Factory/libdb-4_5/patch.4.5.20.1?rev=fe92790d74f3a3b7d082cb22b7187720
Resolving api.opensuse.org (api.opensuse.org)... 195.135.221.33
Connecting to api.opensuse.org (api.opensuse.org)|195.135.221.33|:443... failed: Connection refused.
==> ERROR: Failure while downloading patch.4.5.20.1?rev=fe92790d74f3a3b7d082cb22b7187720
Aborting...
==> ERROR: Makepkg was unable to build db4.5.

master commented on 2011-03-30 09:32

It seems to work.

master commented on 2011-03-26 20:11

@kveras SUSE build factory seems to be dead. Let's give them some time to recover.

johan.thoren commented on 2011-03-26 19:54

==> Retrieving Sources...
-> Found db-4.5.20.tar.gz
-> Downloading patch.4.5.20.1?rev=fe92790d74f3a3b7d082cb22b7187720...
--2011-03-26 20:52:17-- https://api.opensuse.org/public/source/openSUSE:Factory/libdb-4_5/patch.4.5.20.1?rev=fe92790d74f3a3b7d082cb22b7187720
Resolving api.opensuse.org... 195.135.221.33
Connecting to api.opensuse.org|195.135.221.33|:443... failed: Connection refused.
==> ERROR: Failure while downloading patch.4.5.20.1?rev=fe92790d74f3a3b7d082cb22b7187720
Aborting...
==> ERROR: Makepkg was unable to build db4.5.

kiwisauce commented on 2010-10-20 15:21

Working PKGBUILD: http://aur.pastebin.com/1CKdbm2F

kiwisauce commented on 2010-10-20 15:20

# $Id: PKGBUILD 49850 2009-08-16 18:49:10Z jgc $
# Maintainer: Jan de Groot <jgc@archlinux.org>
pkgname=db4.5
pkgver=4.5.20
pkgrel=3
pkgdesc="The Berkeley DB embedded database system 4.5"
arch=('i686' 'x86_64')
license=('custom')
url="http://www.oracle.com/technology/software/products/berkeley-db/index.html"
depends=('gcc-libs')
options=('!libtool' '!makeflags')
source=(http://download-uk.oracle.com/berkeley-db/db-${pkgver}.tar.gz
'https://api.opensuse.org/public/source/openSUSE:Factory/libdb-4_5/patch.4.5.20.1?rev=fe92790d74f3a3b7d082cb22b7187720'
'https://api.opensuse.org/public/source/openSUSE:Factory/libdb-4_5/patch.4.5.20.2?rev=fe92790d74f3a3b7d082cb22b7187720'
)
md5sums=('b0f1c777708cb8e9d37fb47e7ed3312d'
'a571e239b9041d7990df287cbc59ad6f'
'b7a7086a067ba116f5a8464362c9a9a7')

build() {
cd "${srcdir}/db-${pkgver}"
patch -Np0 -i "${srcdir}/patch.4.5.20.1?rev=fe92790d74f3a3b7d082cb22b7187720" || return 1
patch -Np0 -i "${srcdir}/patch.4.5.20.2?rev=fe92790d74f3a3b7d082cb22b7187720" || return 1

cd build_unix
../dist/configure --prefix=/usr --enable-compat185 \
--enable-shared --disable-static --enable-cxx || return 1
make LIBSO_LIBS=-lpthread || return 1
make prefix="${pkgdir}/usr" \
includedir="${pkgdir}/usr/include/db4.5" install || return 1

rm -rf "${pkgdir}/usr/docs"
rm -f "${pkgdir}/usr/lib"/libdb{,_cxx}.so
rm -f "${pkgdir}/usr/lib"/libdb{,_cxx}-4.so

cd "${pkgdir}/usr/bin"
for i in *; do
mv ${i} db4.5_${i/db_/} || return 1
done
install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
install -m644 "${srcdir}/db-${pkgver}/LICENSE" \
"${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
}

Anonymous comment on 2010-10-17 15:54

patch.4.5.20.1
https://api.opensuse.org/public/source/openSUSE:Factory/libdb-4_5/patch.4.5.20.1?rev=fe92790d74f3a3b7d082cb22b7187720&
patch.4.5.20.2
https://api.opensuse.org/public/source/openSUSE:Factory/libdb-4_5/patch.4.5.20.2?rev=fe92790d74f3a3b7d082cb22b7187720&

csgeek commented on 2010-10-16 15:25

http://pastie.org/1225801

Patches don't exist on Oracle's servers anymore. Updated the md5sum, this worked for me. PKGBUILD on pastie

robcat commented on 2010-10-04 15:06

Both the patch files don't pass the md5sum check

Allan commented on 2010-10-03 02:10

Removed from [extra]